<? $picker_id = md5(microtime()) ?>

<script type="text/javascript">
	window.editPopup.addEvent('loaded', function () {

		var self = this;			

		<?
			$picker_id = md5(microtime());
			$params = array('user_id' => $this->order->user_id, 'field_name' => 'primary_id', 'id' => $picker_id, 'read_only' => true);
		?>
		<?= 'init_' . $picker_id . '();' ?>

		var user_type = $('<?= $picker_id ?>').getElement('.autocomplete input').autocompleter.selected.token.user_type;
		
		var addPackage = function() {
			var item = $('<?= $picker_id ?>').getElement('input[name=primary_id]');

			if ( user_type && item.get('value') ) {
				window.PackagesPopup.setTitle('Add Package');
				window.PackagesPopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').getElement('span').set('html', 'Add');
					
				(user_type == 'escort') ? type = 'escort_id' : type = 'agency_id';

				var url = '/billing/orders/add-package?' + type + '=<?= $this->id ?>&mode=order_edit';

				window.PackagesPopup.load(url, function () {
					this.open();
				});
			}
			else {
				alert('Please select an Agency or Escort');
			}
		}.bind(this);

		new Cubix.Button(this.content.getElement('a.btn-add-package'), {
			onClick: function() {
				addPackage();
			},
			classes: 'mt3 mb10 cx-button-style1',
			icon: 'add',
			caption: 'Add Package'
		});

		function isInteger(s) {
			return (s.toString().search(/^-?[0-9]+$/) == 0);
		}

		this.grid = this.content.getElement('.cx-grid');
		this.grid.load = function () {

			new Request({
				url: '/billing/orders/order-packages?user_type=' + user_type,
				method: 'get',
				onSuccess: function (resp) {
					this.set('html', resp);

					var prices = this.getElements('span.package-price');

					var total_price = 0;
					var row_count = 0;
					prices.each(function(it) {

						if ( it.getParent('tr').getElement('a.icon-edit') ) {
							total_price += parseFloat(it.get('html').replace(',', ''));
						}						
						row_count++;
					});

					var picker = $('<?= $picker_id ?>');

					if ( ! picker.readOnly ) {
						if ( row_count > 0 ) {
							picker.disable();
						}
						else {
							picker.enable();
						}
					}

					if ( isInteger(total_price) ) {
						total_price += '.00';
					}
					else {
						total_price = parseFloat(total_price).round(2);
					}

					updateTotalPrice(total_price);
					initPackageRemove();
					initPackageEdit();
				}.bind(this)
			}).send();
		}.bind(this.grid);

		this.grid.load();

		var updateTotalPrice = function(total_price) {
			this.content.getElement('.total_price_c').set('html', total_price);
		}.bind(this);

		var self = this;
		var initPackageRemove = function() {
			if ( this.content.getElement('.order-packages-c') ) {
				this.content.getElement('.order-packages-c').getElements('a.icon-remove').addEvent('click', function(e){
					e.stop();

					if ( confirm('Are you sure you want to delete this row?') ) {
						new Request({
							url: '/billing/orders/remove-order-package?ses_id=' + this.get('rel'),
							method: 'get',
							onSuccess: function (resp) {
								self.grid.load();
							}
						}).send();
					}
				});
			}
		}.bind(this);

		var initPackageEdit = function() {
			if ( this.content.getElement('.order-packages-c') ) {
				this.content.getElement('.order-packages-c').getElements('a.icon-edit').addEvent('click', function(e){
					e.stop();

					var ses_id = this.get('rel');

					var type = 'agency_id';
					if ( user_type == 'escort' )
					{
						type = 'escort_id';
					}
					
					window.PackagesPopup.setTitle('Edit Package');
					window.PackagesPopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').getElement('span').set('html', 'Save');
					window.PackagesPopup.load('/billing/orders/edit-package?' + type + '=' + ses_id + '&mode=order_edit', function () {
						this.open();
					});

				});
			}
		}.bind(this);

		window.OrderPackagesGrid = this.grid;

		window.editPopup.removeEvents('loaded');
	});
</script>

<style type="text/css">
	#package-prices-tbl { border-collapse:collapse; width: 745px; }
	#package-prices-tbl tbody tr { }
	#package-prices-tbl tbody tr th { border: 1px solid #ccc; padding: 3px 5px; background-color: #eee }
	#package-prices-tbl tbody tr td { border: 1px solid #ccc; padding: 2px 3px; }
	#package-prices-tbl tbody tr td.min { width: 20px; }
	.no { color: red; margin: 2px; }
	#cx-escort-grid table { width: 745px }

	.total { padding: 5px 30px 5px 0; font-size: 16px; background-color: #FFEFC0; margin-top: 10px; border-bottom: 1px solid #ccc; text-align: right }
</style>

<form class="form-common" action="/billing/orders/edit?order_id=<?= $this->order_id ?>" method="post">
	<div style="margin-bottom: 10px; float: left">
		<?= $this->picker($params) ?>
	</div>


	<div class="inner">

		<div class="inner" style="margin: 0 0 0 20px">
			<label id="activate-condition">Activate Condition</label>
			<select name="activate_condition" id="activate-condition" class="w23">
			<? 
			$condition_labels = Model_Billing_Orders::$CONDITION_LABELS;
			$bu_user = Zend_Auth::getInstance()->getIdentity();
			if ( $bu_user->type == 'sales' ||  $bu_user->type == 'sales clerk' ) {
				unset($condition_labels[ Model_Billing_Orders::CONDITION_AFTER_RECEIVING_PAYMENT_DETAILS]);
			}
			?>
			<? foreach($condition_labels as $k => $c_opt):?>
				<option value="<?= $k ?>" <?= ($k == $this->order->activation_condition) ? 'selected="selected"' : '' ?> ><?= $c_opt ?></option>
			<? endforeach; ?>
			</select>
		</div>

		<? /*if ( $this->not_sales ):*/ ?>
		<div class="inner">
			<label for="sales_person">Sales Person</label>
			<select name="sales_user_id" id="sales_person" class="w16" >
				<option value="">- - -</option>
				<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
				<option value="<?= $user->id ?>"<?= $this->order->backend_user_id == $user->id ? ' selected="selected"' : '' ?>><?= $user->username ?></option>
				<? endforeach; ?>
			</select>
		</div>
		<? /*endif;*/ ?>

		<div class="clear"></div>
		
		<? if( Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT ): ?>
		<div style="margin: 0px 0 0 25px; padding: 5px; border: 1px solid #ccc; width: 226px;"><input style="vertical-align: middle" type="checkbox" <?= (!$this->order->use_balance) ? '' : 'checked="checked"' ?> name="use_balance" id="use_balance" value="1" /><label for="use_balance" style="display: inline;vertical-align: middle; color: red; font-size: 16px; font-weight: bold;">use balance</label></div>
		<? endif; ?>
	</div>

	<div class="clear"></div>

	<fieldset class="mt20">
		<legend>Packages</legend>

		<a href="#" id="add-package" class="btn-add-package"></a>
		<div class="clear"></div>

		<div class="cx-grid">
			<div class="inner">
				<input name="err_no_package" type="hidden" id="err_no_package" />
				<h3 style="margin: 10px 0 0 22px">No Package added</h3>
			</div>
		</div>
	</fieldset>
	<div class="clear"></div>

	<!--
	<fieldset style="margin-top:10px">
		<legend>Additional</legend>

		<table cellspacing="10">
			<tr>
				<td align="left"><label class="inline">Order ID: </label></td>
				<td>
					<?= $this->order_id ?>
					<input type="hidden" name="order_id" value="<?= $this->order_id ?>" />
				</td>
			</tr>
		</table>
	</fieldset>
	<div class="clear"></div>
	-->

	<div class="total">
		<div class="fleft" style="margin: 3px 0 0 20px; font-size: 12px; ">
			Order ID: <b><?= $this->order->system_order_id ?></b>
		</div>
		<div style="float:right">
			Total Price: <b><span id="total_price" class="total_price_c"><?= number_format($this->order->price, 2); ?></span> <?= $this->currency() ?></b>
		</div>
		<div class="clear"></div>
	</div>
</form>
